Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.renderers
Class BatikRenderer.JRUserAgent

    java.lang.Object
      org.apache.batik.bridge.UserAgentAdapter
          net.sf.jasperreports.renderers.BatikRenderer.JRUserAgent

All Implemented Interfaces:
  org.apache.batik.bridge.UserAgent

Enclosing class:
  BatikRenderer

    protected static class BatikRenderer.JRUserAgent

extends org.apache.batik.bridge.UserAgentAdapter

Field Summary

Fields inherited from class org.apache.batik.bridge.UserAgentAdapter
`ctx, extensions, FEATURES`

Constructor Summary
`protected` | `BatikRenderer.JRUserAgent()`

Method Summary
`float` | `getPixelUnitToMillimeter()`

Methods inherited from class org.apache.batik.bridge.UserAgentAdapter
`addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, displayError, displayError, displayMessage, getAlternateStyleSheet, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getDefaultFontFamily, getEventDispatcher, getExternalResourceSecurity, getLanguages, getLighterFontWeight, getMedia, getMediumFontSize, getPixelToMM, getScriptSecurity, getStandardBolderFontWeight, getStandardLighterFontWeight, getTransform, getUserStyleSheetURI, getViewportSize, getXMLParserClassName, handleElement, hasFeature, isXMLParserValidating, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, setTransform, showAlert, showConfirm, showPrompt, showPrompt, supportExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikRenderer.JRUserAgent

    protected BatikRenderer.JRUserAgent()

Method Detail

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Specified by:
    `getPixelUnitToMillimeter` in interface `org.apache.batik.bridge.UserAgent`
  Overrides:
    `getPixelUnitToMillimeter` in class `org.apache.batik.bridge.UserAgentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com